# -*- coding: utf-8 -*-

import uuid


STATUS_CODE_MSG = {
    '101': u'相机连接异常或者没有接入相机',
    '201': u'目录监控初始化异常',
    '202': u'目录监控失败',
    '203': u'目录监控失败',
}


DETECT_LOGS = (
    # ('LOG FILE PATH', 'VALID STATUS CODE')
    ('/ramfs/getpic.log', '100'),
    ('/ramfs/main.log', '200')
)


def get_box_status():
    for path, valid_code in DETECT_LOGS:
        try:
            with open(path, 'r') as f:
                code = f.read().strip()
                if code != valid_code:
                    return {
                        'code': code,
                        'msg': STATUS_CODE_MSG.get(code, u''),
                    }
        except IOError:
            # LOG FILE NOT EXIST
            pass
    return {
        'code': '200',
        'msg': u'正常',
    }


def get_unique_no():
    mac = uuid.UUID(int=uuid.getnode()).hex[-12:]
    # return ':'.join([mac[e:e + 2] for e in range(0, 11, 2)])
    return ''.join(['{:02d}'.format(int(i, 16)) for i in mac])
