# -*- coding: utf-8 -*-

from functools import wraps

from tornado.log import app_log as logger


DEBUG = False


# Logging Some Vars
def logit(self, content, key='content'):
    if not DEBUG:
        return
    uri = self.request.uri if hasattr(self, 'request') else self
    logger.info('uri=%s&%s=%s', uri, key, content)


# Logging Request Arguments
def log_request_arguments(func):
    @wraps(func)
    def wrapper(self, *args, **kwargs):
        logit(self, self.request.arguments, key='arguments')
        return func(self, *args, **kwargs)
    return wrapper
